within ;
model DIas1
  Modelica.Electrical.Analog.Sources.SineVoltage u0(V=-1, freqHz=0.15e6)
    annotation (Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=-90,
        origin={-68,48})));
  Modelica.Electrical.Analog.Basic.Ground ground
    annotation (Placement(transformation(extent={{-78,-12},{-58,8}})));
  Modelica.Electrical.Analog.Basic.Resistor R1(R=1e3)
    annotation (Placement(transformation(extent={{-54,66},{-34,86}})));
  Modelica.Electrical.Analog.Basic.Inductor L(L=25.3e-6)
    annotation (Placement(transformation(extent={{-26,66},{-6,86}})));
  Modelica.Electrical.Analog.Basic.Resistor R2(R=2e1) annotation (Placement(
        transformation(
        extent={{10,-10},{-10,10}},
        rotation=90,
        origin={0,56})));
  Modelica.Electrical.Analog.Basic.Capacitor C(C=100e-9) annotation (Placement(
        transformation(
        extent={{10,-10},{-10,10}},
        rotation=90,
        origin={0,30})));
  ArgesimLib.DIas1 dIas1_1(     uMax=3.84e-2, N=3)
                                              annotation (Placement(
        transformation(
        extent={{-10,-10},{10,10}},
        rotation=90,
        origin={34,48})));
equation
  connect(ground.p, u0.n)
    annotation (Line(points={{-68,8},{-68,38}}, color={0,0,255}));
  connect(u0.p, R1.p)
    annotation (Line(points={{-68,58},{-68,76},{-54,76}}, color={0,0,255}));
  connect(R1.n, L.p)
    annotation (Line(points={{-34,76},{-26,76}}, color={0,0,255}));
  connect(L.n, R2.p)
    annotation (Line(points={{-6,76},{0,76},{0,66}}, color={0,0,255}));
  connect(R2.n, C.p) annotation (Line(points={{0,46},{0,40}}, color={0,0,255}));
  connect(C.n, u0.n) annotation (Line(points={{0,20},{0,16},{-68,16},{-68,38}},
        color={0,0,255}));
  connect(dIas1_1.p, u0.n) annotation (Line(points={{34,38},{34,16},{-68,16},{
          -68,38}}, color={0,0,255}));
  connect(dIas1_1.n, R2.p) annotation (Line(points={{34,58},{34,76},{0,76},{0,
          66},{6.10623e-16,66}}, color={0,0,255}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(StopTime=0.0001, __Dymola_NumberOfIntervals=2000));
end DIas1;
