within ;
model RPfr2d2
  import Modelica.SIunits.*;
  import Modelica.Constants.pi;
  parameter Mass m = 1.5;
  parameter Length l = 1;
  parameter RotationalDampingConstant k = 0.9;
  parameter Angle phi0 = pi/4;
  parameter AngularVelocity om0 = 15;

  ArgesimLib.Rope2D rope2D1(l=l, Fbrake=100000)
    annotation (Placement(transformation(extent={{-42,4},{-22,28}})));
  inner PlanarMechanics.PlanarWorld planarWorld(animateGravity=false)
    annotation (Placement(transformation(extent={{-76,54},{-56,74}})));
  PlanarMechanics.Parts.Fixed fixed annotation (Placement(transformation(
        extent={{10,-10},{-10,10}},
        rotation=-90,
        origin={-32,70})));
  PlanarMechanics.Parts.Body body(     m=m, sphereDiameter=0.2,
    I=0)                                                        annotation (Placement(
        transformation(
        extent={{-10,-10},{10,10}},
        rotation=-90,
        origin={-32,-16})));
  ArgesimLib.Revolute2D revolute2D(
    b=k,
    theta0=phi0,
    om0=om0)                       annotation (Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=-90,
        origin={-32,46})));
  ArgesimLib.RPTrigger rPTrigger
    annotation (Placement(transformation(extent={{-68,-1.3},{-50,14.7}})));
equation
  connect(fixed.frame, revolute2D.frame_a) annotation (Line(
      points={{-32,60},{-32,56}},
      color={95,95,95},
      thickness=0.5));
  connect(rope2D1.frame_a, revolute2D.frame_b) annotation (Line(
      points={{-32,30.6667},{-32,36}},
      color={95,95,95},
      thickness=0.5));
  connect(rope2D1.frame_b, body.frame_a) annotation (Line(
      points={{-32,4},{-32,-6}},
      color={95,95,95},
      thickness=0.5));
  connect(rope2D1.s, rPTrigger.s) annotation (Line(points={{-42.2,20},{-72,20},{
          -72,11.5},{-68,11.5}},
                              color={0,0,127}));
  connect(rope2D1.f, rPTrigger.F) annotation (Line(points={{-42.2,25.3333},{-74,
          25.3333},{-74,1.9},{-68,1.9}}, color={0,0,127}));
  connect(rPTrigger.isFalling, rope2D1.isFalling) annotation (Line(points={{-50,6.7},
          {-46,6.7},{-46,6.66667},{-41.8,6.66667}},  color={255,0,255}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(PlanarMechanics(version="1.4.0"), Modelica(version="3.2.2")),
    experiment(
      StopTime=10,
      __Dymola_NumberOfIntervals=2000,
      Tolerance=1e-10));
end RPfr2d2;
