within ;
model RPkiAux1 "solves backwards pendulum ode, to get gamma for RPki1
   uses standard definition of angle, i.e. phi here is psi in RP models"
  import Modelica.Constants.pi;
  parameter Real g = 9.81  "gravity constant";
  parameter Real m = 1.5 "pendulum mass";
  parameter Real l = 1 "rope length";
  parameter Real k = 0.9 "damping coefficient";

  // initial conditions
  // kick (i), man kommt mit om0 bei phi0 an
  parameter Real phi0a = 3*pi/4 - 2*pi "initial angle";
  parameter Real om0a = 15 "initial angular velocity";
  // kick (ii), man kommt oben mit F = 0 an
  parameter Real phi0b = -pi    "initial angle";
  parameter Real om0b = sqrt(g/l) "initial angular velocity";
  // kick (iiia), man kommt nach einer weiteren Umdrehung oben mit F = 0 an
  parameter Real phi0c = -3*pi    "initial angle";
  parameter Real om0c = sqrt(g/l) "initial angular velocity";
  // kick (iiib), man kommt nach zwei weiteren Umdrehungen oben mit F = 0 an
  parameter Real phi0d = -5*pi    "initial angle";
  parameter Real om0d = sqrt(g/l) "initial angular velocity";

  Real phi(start=phi0d, fixed=true) "angle";
  Real om(start=om0d, fixed=true) "angular velocity";

equation
  when phi > 0 then
    terminate("phi = 0");
  end when;

  der(phi) = om;
  der(om) =  +(k/m)*om - (g/l)*sin(phi);

  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(
        coordinateSystem(preserveAspectRatio=false)),
    experiment(
      StopTime=2,
      __Dymola_NumberOfIntervals=2000,
      Tolerance=1e-10,
      __Dymola_Algorithm="Dassl"),
    uses(Modelica(version="3.2.2")));
end RPkiAux1;
